## qtnetworkauth-everywhere-src 5.15.17

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

## qtnetworkauth-everywhere-src 5.11.3

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.11.3-2+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:27:01 +0800

qtnetworkauth-everywhere-src (5.11.3-2) unstable; urgency=medium

  * Team upload.
  * Remove the spurious +dfsg from the version of the qttools5-dev-tools build
    dependency.
  * Bump Standards-Version to 4.3.0, no changes required.
  * Add Build-Depends-Package to the symbols file.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Dec 2018 11:37:52 +0100

qtnetworkauth-everywhere-src (5.11.3-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Do not ship the private qt_lib_networkauth_private.pri qmake config.

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' logs.
  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 19:59:29 -0300

qtnetworkauth-everywhere-src (5.11.2-1) unstable; urgency=medium

  [ Jonathan Riddell ]
  * Initial package

  [ Scarlett Moore ]
  * Initial release (Closes: #883412)

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 02 Nov 2018 17:52:19 +0300

=== debian/control ===
Source: qtnetworkauth-everywhere-src
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgclark@kde.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11),
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.3+dfsg~),
               qtbase5-private-dev (>= 5.11.3+dfsg~),
               qtchooser
Build-Depends-Indep: doc-base,
                     qttools5-dev-tools (>= 5.11.3~)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git
Homepage: https://doc.qt.io/qt-5/qtnetworkauth-index.html

Package: qtnetworkauth5-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: online account access for Qt apps - documentation
 Qt Network Authorization provides a set of APIs that enable Qt
 applications to obtain limited access to online accounts and HTTP
 services without exposing users' passwords.
 .
 This package contains the documentation for QtNetworkAuth.

Package: qtnetworkauth5-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: online account access for Qt apps - HTML Documentation
 Qt Network Authorization provides a set of APIs that enable Qt
 applications to obtain limited access to online accounts and HTTP
 services without exposing users' passwords.
 .
 This package contains the HTML documentation for QtNetworkAuth.

Package: libqt5networkauth5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt5networkauth5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: online account access for Qt apps - Development Files
 Qt Network Authorization provides a set of APIs that enable Qt
 applications to obtain limited access to online accounts and HTTP
 services without exposing users' passwords.
 .
 This package contains the development files needed to build Qt 5 applications
 using the QtNetworkAuth library.

Package: qtnetworkauth5-examples
Architecture: any
Multi-Arch: same
Depends: libqt5networkauth5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: online account access for Qt apps - Examples
 Qt Network Authorization provides a set of APIs that enable Qt
 applications to obtain limited access to online accounts and HTTP
 services without exposing users' passwords.
 .
 This package contains the examples for Qt's NetworkAuth submodule.

Package: libqt5networkauth5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: online account access for Qt apps - Library
 Qt Network Authorization provides a set of APIs that enable Qt
 applications to obtain limited access to online accounts and HTTP
 services without exposing users' passwords.
 .
 This package contains the QtNetworkAuth libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpkg/default.mk

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=" tests"

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Remove private headers
	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtNetworkAuth/*/QtNetworkAuth/private

	# Remove other private stuff
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_networkauth_private.pri

	# At the end, remove empty directories
	find debian/tmp -type d -empty -delete

override_dh_auto_test-arch:
	dh_auto_test -- -Ctests/auto

override_dh_auto_test-indep:

override_dh_auto_install-indep:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_missing:
	dh_missing --fail-missing

## qtnetworkauth-everywhere-src 5.12.2

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Refresh debian/patches/disable_tests_network.diff.
  * Update debian/libqt5networkauth5.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Mar 2019 14:49:58 +0300

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.11.3+dfsg~),
-               qtbase5-private-dev (>= 5.11.3+dfsg~),
+               qtbase5-dev (>= 5.12.2+dfsg~),
+               qtbase5-private-dev (>= 5.12.2+dfsg~),
                qtchooser
 Build-Depends-Indep: doc-base,
-                     qttools5-dev-tools (>= 5.11.3~)
+                     qttools5-dev-tools (>= 5.12.2~)
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git

## qtnetworkauth-everywhere-src 5.12.4

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.12.4-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update doc-base to be consistent with other modules.
  * Update my email.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop explicit qtchooser build-dependency, qtbase5-dev depends on it.
  * Bump Qt build-dependencies to 5.12.4.
  * Simplify debian/rules by using debian/not-installed file.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 02 Jul 2019 15:31:51 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: qtnetworkauth-everywhere-src
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgclark@kde.org>,
+Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
@@ -9,11 +9,9 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.2+dfsg~),
-               qtbase5-private-dev (>= 5.12.2+dfsg~),
-               qtchooser
-Build-Depends-Indep: doc-base,
-                     qttools5-dev-tools (>= 5.12.2~)
+               qtbase5-dev (>= 5.12.4+dfsg~),
+               qtbase5-private-dev (>= 5.12.4+dfsg~),
+Build-Depends-Indep: qttools5-dev-tools (>= 5.12.4~)
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git

## qtnetworkauth-everywhere-src 5.12.5

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.12.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Update debian/libqt5networkauth5.symbols from buildds’ logs.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 18:56:26 +0300

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.4+dfsg~),
-               qtbase5-private-dev (>= 5.12.4+dfsg~),
-Build-Depends-Indep: qttools5-dev-tools (>= 5.12.4~)
-Standards-Version: 4.3.0
+               qtbase5-dev (>= 5.12.5+dfsg~),
+               qtbase5-private-dev (>= 5.12.5+dfsg~)
+Build-Depends-Indep: qttools5-dev-tools (>= 5.12.5~)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git
 Homepage: https://doc.qt.io/qt-5/qtnetworkauth-index.html

## qtnetworkauth-everywhere-src 5.12.8

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.12.8-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Bump Qt build-dependencies to 5.12.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 10 Apr 2020 15:11:24 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: qtnetworkauth-everywhere-src
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
@@ -9,9 +10,9 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.5+dfsg~),
-               qtbase5-private-dev (>= 5.12.5+dfsg~)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.12.5~)
+               qtbase5-dev (>= 5.12.8+dfsg~),
+               qtbase5-private-dev (>= 5.12.8+dfsg~)
+Build-Depends-Indep: qttools5-dev-tools (>= 5.12.8~)
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=" tests"

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_test-arch:
	dh_auto_test -- -Ctests/auto

override_dh_auto_test-indep:

override_dh_auto_install-indep:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_missing:
	dh_missing --fail-missing

## qtnetworkauth-everywhere-src 5.14.2

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 12:29:44 +0300

qtnetworkauth-everywhere-src (5.14.2-1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure use a host qmake. (Closes: #943407)

  [ Patrick Franz ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Bump debhelper-compatibility to 12:
    - Switch debhelper build dependency to debhelper-compat 12.
    - Remove debian/compat.
  * Update the Uploaders-field.
  * Bump Qt build-dependencies to 5.14.2.
  * Add Rules-Requires-Root field.
  * Update debian/copyright.
  * Update debian/libqt5networkauth5.symbols from the current build log.

 -- Patrick Franz <patfra71@gmail.com>  Wed, 29 Apr 2020 19:47:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: qtnetworkauth-everywhere-src
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@debian.org>
+           Simon Quigley <tsimonq2@debian.org>,
+           Patrick Franz <patfra71@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.8+dfsg~),
-               qtbase5-private-dev (>= 5.12.8+dfsg~)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.12.8~)
-Standards-Version: 4.4.1
+               qtbase5-dev (>= 5.14.2+dfsg~),
+               qtbase5-private-dev (>= 5.14.2+dfsg~)
+Build-Depends-Indep: qttools5-dev-tools (>= 5.14.2~)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git
 Homepage: https://doc.qt.io/qt-5/qtnetworkauth-index.html

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	qmake QT_BUILD_PARTS+=" tests"
+	dh_auto_configure -- QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
 	dh_auto_build -- docs

## qtnetworkauth-everywhere-src 5.15.2

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.15.2-2) unstable; urgency=medium

  * Add support for nodoc build profile.
  * Build-depend only on the needed documentation tools, not on the large
    qttools5-dev-tools package.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:02 +0300

qtnetworkauth-everywhere-src (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Nov 2020 21:28:37 +0300

qtnetworkauth-everywhere-src (5.15.1-2) unstable; urgency=medium

  * Update debian/libqt5networkauth5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:35 +0300

qtnetworkauth-everywhere-src (5.15.1-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Bump debhelper-compat to 13.
  * Refresh symbols -
    Removed missing optional symbol.

  [ Dmitry Shachnev ]
  * Drop dh_missing override, not needed with debhelper compat 13.
  * Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Refresh disable_tests_network.diff.
  * Make sure private headers are not installed.
  * Remove build path from libQt5NetworkAuth.prl for reproducibility.
  * Remove -Wl,--as-needed from linker flags, it is now default.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 19 Sep 2020 21:03:02 +0300

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,21 @@
            Patrick Franz <patfra71@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.14.2+dfsg~),
-               qtbase5-private-dev (>= 5.14.2+dfsg~)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.14.2~)
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.15.2+dfsg~),
+               qtbase5-private-dev (>= 5.15.2+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git
 Homepage: https://doc.qt.io/qt-5/qtnetworkauth-index.html
 
 Package: qtnetworkauth5-doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Multi-Arch: foreign
 Section: doc
@@ -32,6 +35,7 @@
  This package contains the documentation for QtNetworkAuth.
 
 Package: qtnetworkauth5-doc-html
+Build-Profiles: <!nodoc>
 Architecture: all
 Multi-Arch: foreign
 Section: doc

## qtnetworkauth-everywhere-src 5.15.3

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Update email address for Patrick Franz.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2022 18:58:08 +0300

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
-           Patrick Franz <patfra71@gmail.com>
+           Patrick Franz <deltaone@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.2+dfsg~),
-               qtbase5-private-dev (>= 5.15.2+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.15.3+dfsg~),
+               qtbase5-private-dev (>= 5.15.3+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git

## qtnetworkauth-everywhere-src 5.15.6

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 13:31:52 +0300

qtnetworkauth-everywhere-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Jul 2022 21:15:46 +0300

qtnetworkauth-everywhere-src (5.15.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:35 +0300

qtnetworkauth-everywhere-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 12:56:33 +0300

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.3+dfsg~),
-               qtbase5-private-dev (>= 5.15.3+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>
-Standards-Version: 4.6.0
+               qtbase5-dev (>= 5.15.6+dfsg~),
+               qtbase5-private-dev (>= 5.15.6+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git

## qtnetworkauth-everywhere-src 5.15.8

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.15.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:01:54 +0400

qtnetworkauth-everywhere-src (5.15.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Jan 2023 17:53:21 +0400

qtnetworkauth-everywhere-src (5.15.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:20 +0300

qtnetworkauth-everywhere-src (5.15.7-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 20:53:07 +0300

qtnetworkauth-everywhere-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:48 +0300

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.6+dfsg~),
-               qtbase5-private-dev (>= 5.15.6+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>
-Standards-Version: 4.6.1
+               qtbase5-dev (>= 5.15.8+dfsg~),
+               qtbase5-private-dev (>= 5.15.8+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git

## qtnetworkauth-everywhere-src 5.15.9

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.15.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Apr 2023 21:00:27 +0300

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.8+dfsg~),
-               qtbase5-private-dev (>= 5.15.8+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>
+               qtbase5-dev (>= 5.15.9+dfsg~),
+               qtbase5-private-dev (>= 5.15.9+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.9~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.9~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.9~) <!nodoc>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth

## qtnetworkauth-everywhere-src 5.15.10

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.15.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 19:15:28 +0300

qtnetworkauth-everywhere-src (5.15.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 Jun 2023 00:12:46 +0300

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.9+dfsg~),
-               qtbase5-private-dev (>= 5.15.9+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.9~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.9~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.9~) <!nodoc>
+               qtbase5-dev (>= 5.15.10+dfsg~),
+               qtbase5-private-dev (>= 5.15.10+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth

## qtnetworkauth-everywhere-src 5.15.13

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.15.13-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 13 Mar 2024 19:58:01 +0300

qtnetworkauth-everywhere-src (5.15.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Dec 2023 20:04:17 +0300

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.10+dfsg~),
-               qtbase5-private-dev (>= 5.15.10+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>
+               qtbase5-dev (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth

## qtnetworkauth-everywhere-src 5.15.15

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.15.15-3) unstable; urgency=medium

  * Replace disable_tests_network.diff with an upstream patch that makes
    one more test skipped (closes: #1090290).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jan 2025 23:40:38 +0300

qtnetworkauth-everywhere-src (5.15.15-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:43:15 +0300

qtnetworkauth-everywhere-src (5.15.15-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Sep 2024 12:20:40 +0300

qtnetworkauth-everywhere-src (5.15.13-3) unstable; urgency=medium

  * Backport upstream patch to fix data race and poor seeding in
    generateRandomString() (closes: #1071974, CVE-2024-36048).
    - Add one new symbol to debian/libqt5networkauth5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 31 May 2024 09:34:41 +0300

qtnetworkauth-everywhere-src (5.15.13-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:48:41 +0300

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.13+dfsg~),
-               qtbase5-private-dev (>= 5.15.13+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>
-Standards-Version: 4.6.2
+               qtbase5-dev (>= 5.15.15+dfsg~),
+               qtbase5-private-dev (>= 5.15.15+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git

## qtnetworkauth-everywhere-src 5.15.17

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.15.17-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 23:02:22 +0300

qtnetworkauth-everywhere-src (5.15.17-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.17.
  * Drop both patches, included in the new release.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Remove Qt_5.x symbols from the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Jul 2025 23:20:35 +0300

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.15+dfsg~),
-               qtbase5-private-dev (>= 5.15.15+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>
-Standards-Version: 4.7.0
+               qtbase5-dev (>= 5.15.17+dfsg~),
+               qtbase5-private-dev (>= 5.15.17+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.17~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.17~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.17~) <!nodoc>
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,10 @@
 
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 export QT_SELECT := qt5
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
 	dh $@ --with pkgkde_symbolshelper
@@ -25,5 +27,8 @@
 override_dh_auto_install-indep:
 	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_auto_install-arch:
+	dh_auto_install
+
+	# Reproducible builds: remove build path from the prl file.
+	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5NetworkAuth.prl

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/5.15/([\d\.]*)/submodules/qtnetworkauth-everywhere-opensource-src-([^-]*)\.tar\.xz

## qtnetworkauth-everywhere-src 5.15.17+p24.04+vrelease+git20250828.1339

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.15.17+p24.04+vrelease+git20250828.1339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 13:39:50 +0000

qtnetworkauth-everywhere-src (5.15.17-0neon) noble; urgency=medium

  * new release.

 -- KDE neon <neon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

qtnetworkauth-everywhere-src (5.15.13-0neon) UNRELEASED; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.

  [ Jonathan Riddell ]
  * New rebase

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 31 Oct 2022 13:04:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: qtnetworkauth-everywhere-src
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
@@ -10,16 +9,17 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.17+dfsg~),
-               qtbase5-private-dev (>= 5.15.17+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.17~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.17~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.17~) <!nodoc>
-Standards-Version: 4.7.2
+               qtbase5-dev (>= 5.15.5+dfsg~),
+               qtbase5-private-dev (>= 5.15.5+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.5~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.5~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.5~) <!nodoc>
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git
 Homepage: https://doc.qt.io/qt-5/qtnetworkauth-index.html
+Vcs-Git: https://invent.kde.org/neon/qt/qtnetworkauth.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtnetworkauth
+Maintainer: Neon CI <neon@kde.org>
 
 Package: qtnetworkauth5-doc
 Build-Profiles: <!nodoc>

## qtnetworkauth-everywhere-src 5.15.17+p24.04+vstable+git20250828.1332

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.15.17+p24.04+vstable+git20250828.1332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 13:32:31 +0000

## qtnetworkauth-everywhere-src 5.15.17+p24.04+vunstable+git20250828.1334

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.15.17+p24.04+vunstable+git20250828.1334-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 13:34:11 +0000

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.5+dfsg~),
-               qtbase5-private-dev (>= 5.15.5+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.5~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.5~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.5~) <!nodoc>
-Standards-Version: 4.6.1
+               qtbase5-dev (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtnetworkauth-index.html
 Vcs-Git: https://invent.kde.org/neon/qt/qtnetworkauth.git

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- QT_BUILD_PARTS+=tests
 
-override_dh_auto_build-indep:
+override_dh_auto_build-indep: build-arch
 	dh_auto_build -- docs
 
 override_dh_auto_test-arch:

## qtnetworkauth-everywhere-src 5.15.18

=== debian/changelog ===
qtnetworkauth-everywhere-src (5.15.18-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.18.
  * Drop ‘Priority: optional’, it became default in dpkg 1.22.12.
  * Drop ‘Rules-Requires-Root: no’, it became default in dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jan 2026 23:52:18 +0300

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Source: qtnetworkauth-everywhere-src
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
@@ -6,20 +7,17 @@
            Simon Quigley <tsimonq2@debian.org>,
            Patrick Franz <deltaone@debian.org>
 Section: libs
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.13+dfsg~),
-               qtbase5-private-dev (>= 5.15.13+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+               qtbase5-dev (>= 5.15.18+dfsg~),
+               qtbase5-private-dev (>= 5.15.18+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.18~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.18~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.18~) <!nodoc>
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtnetworkauth.git
 Homepage: https://doc.qt.io/qt-5/qtnetworkauth-index.html
-Vcs-Git: https://invent.kde.org/neon/qt/qtnetworkauth.git
-Vcs-Browser: https://invent.kde.org/neon/qt/qtnetworkauth
-Maintainer: Neon CI <neon@kde.org>
 
 Package: qtnetworkauth5-doc
 Build-Profiles: <!nodoc>
